<?xml version="1.0" encoding="utf-8"?>
<ui:schema targetNamespace="urn:voyagersoft:ui" xmlns:ui="http://www.w3.org/2001/XMLSchema" xmlns="urn:voyagersoft:ui" xmlns:ui1="urn:voyagersoft:ui" elementFormDefault="qualified">
    <ui:simpleType name="vAlign" xmlns:ui="urn:voyagersoft:ui">
        <ui:restriction base="ui1:NMTOKEN">
            <enumeration value="top" />
            <enumeration value="bottom" />
            <enumeration value="middle" />
        </ui:restriction>
    </ui:simpleType>
    <ui:simpleType name="hAlign" xmlns:ui="urn:voyagersoft:ui">
        <ui:restriction base="ui1:NMTOKEN">
            <enumeration value="left" />
            <enumeration value="right" />
            <enumeration value="center" />
        </ui:restriction>
    </ui:simpleType>
    <ui:element name="dialogBox">
        <ui:complexType>
            <ui:attribute name="title" type="ui:string" use="required" />
            <ui:attribute name="id" type="ui:ID" use="required" />
            <ui:attribute name="mode" type="ui:string" use="optional" default="normal" />
            <ui:attribute name="color" type="ui:string" default="gray" use="optional" />
            <ui:sequence>
                <ui:any />
            </ui:sequence>
        </ui:complexType>
    </ui:element>
    <ui:element name="dialogBoxes">
        <ui:complexType>
            <ui:sequence>
                <ui:element name="dialogBox" minOccurs="0" maxOccurs="*" />
            </ui:sequence>
        </ui:complexType>
    </ui:element>
    <ui:element name="uiElements">
        <ui:complexType>
            <ui:sequence>
                <ui:element name="dialogBoxes" minOccurs="0" maxOccurs="1" />
            </ui:sequence>
        </ui:complexType>
    </ui:element>
    <ui:element name="vContainer">
        <ui:complexType>
             <ui:sequence>
                <ui:any />
            </ui:sequence>
            <ui:attribute name="align" type="hAlign" default="left" />
        </ui:complexType>
    </ui:element>
    <ui:element name="hContainer">
        <ui:complexType>
             <ui:sequence>
                <ui:any />
            </ui:sequence>
            <ui:attribute name="align" type="vAlign" default="top" />
        </ui:complexType>
    </ui:element>
    <ui:element name="bitmap">
        <ui:complexType>
            <ui:sequence>
            </ui:sequence>
            <ui:attribute name="path" type="ui:string" use="required" />
            <ui:attribute name="id" type="ui:ID" use="optional" default="-1" />
            <ui:attribute name="widthPeer" type="ui:integer" use="optional" default="0" />
            <ui:attribute name="heightPeer" type="ui:integer" default="0" use="optional" />
            <ui:attribute name="tabStop" type="ui:integer" use="optional" default="-1" />
            <ui:attribute name="oclass" type="ui:string" default="" use="optional" />
        </ui:complexType>
    </ui:element>
    <ui:element name="static">
        <ui:complexType>
            <ui:sequence />
            <ui:attribute name="stringid" type="ui:string" use="required" />
            <ui:attribute name="id" type="ui:ID" use="optional" default="-1" />
            <ui:attribute name="widthPeer" type="ui:integer" use="optional" default="0" />
            <ui:attribute name="heightPeer" type="ui:integer" default="0" use="optional" />
            <ui:attribute name="maxWidth" type="ui:integer" use="required" />
            <ui:attribute name="singleLine" type="ui:boolean" use="optional" default="false" />
            <ui:attribute name="oclass" type="ui:string" default="" use="optional" />
            <ui:attribute name="color" type="ui:string" default="black" use="optional" />
            <ui:attribute name="size" type="ui:integer" use="optional" default="1" />
        </ui:complexType>
    </ui:element>
    <ui:element name="hyperlink">
        <ui:complexType>
            <ui:sequence />
            <ui:attribute name="stringid" type="ui:string" use="required" />
            <ui:attribute name="linkid" type="ui:string" use="required" />
            <ui:attribute name="id" type="ui:ID" use="optional" default="-1" />
            <ui:attribute name="widthPeer" type="ui:integer" use="optional" default="0" />
            <ui:attribute name="heightPeer" type="ui:integer" default="0" use="optional" />
            <ui:attribute name="oclass" type="ui:string" default="" use="optional" />
        </ui:complexType>
    </ui:element>
    <ui:element name="edit">
        <ui:complexType>
            <ui:sequence />
            <ui:attribute name="value" type="ui:string" use="optional" />
            <ui:attribute name="id" type="ui:ID" use="required" />
            <ui:attribute name="widthPeer" type="ui:integer" use="optional" default="0" />
            <ui:attribute name="heightPeer" type="ui:integer" default="0" use="optional" />
            <ui:attribute name="minWidth" type="ui:integer" use="optional" default="40" />
            <ui:attribute name="minHeight" type="ui:integer" use="optional" default="1" />
            <ui:attribute name="tabStop" type="ui:ID" use="optional" default="-1" />
            <ui:attribute name="oclass" type="ui:string" default="" use="optional" />
        </ui:complexType>
    </ui:element>
    <ui:element name="hotkey">
        <ui:complexType>
            <ui:sequence />
            <ui:attribute name="value" type="ui:string" use="required" />
            <ui:attribute name="id" type="ui:ID" use="required" />
            <ui:attribute name="widthPeer" type="ui:integer" use="optional" default="0" />
            <ui:attribute name="heightPeer" type="ui:integer" default="0" use="optional" />
            <ui:attribute name="minWidth" type="ui:integer" use="optional" default="40" />
            <ui:attribute name="tabStop" type="ui:ID" use="optional" default="-1" />
            <ui:attribute name="oclass" type="ui:string" default="" use="optional" />
        </ui:complexType>
    </ui:element>
    <ui:element name="divider">
        <ui:complexType>
            <ui:sequence />
            <ui:attribute name="widthPeer" type="ui:integer" use="optional" default="0" />
            <ui:attribute name="heightPeer" type="ui:integer" default="0" use="optional" />
            <ui:attribute name="oclass" type="ui:string" default="" use="optional" />
        </ui:complexType>
    </ui:element>
    <ui:element name="button">
        <ui:complexType>
            <ui:sequence>
            </ui:sequence>
            <ui:attribute name="stringid" type="ui:string" use="required" />
            <ui:attribute name="id" type="ui:ID" use="optional" default="-1" />
            <ui:attribute name="widthPeer" type="ui:integer" use="optional" default="0" />
            <ui:attribute name="heightPeer" type="ui:integer" default="0" use="optional" />
            <ui:attribute name="def" type="ui:boolean" use="optional" default="false" />
            <ui:attribute name="singleLine" type="ui:boolean" use="optional" default="false" />
            <ui:attribute name="tabStop" type="ui:ID" use="optional" default="-1" />
            <ui:attribute name="oclass" type="ui:string" default="" use="optional" />
        </ui:complexType>
    </ui:element>
    <ui:element name="checkbox">
        <ui:complexType>
            <ui:sequence>
            </ui:sequence>
            <ui:attribute name="stringid" type="ui:string" use="required" />
            <ui:attribute name="id" type="ui:ID" use="optional" default="-1" />
            <ui:attribute name="widthPeer" type="ui:integer" use="optional" default="0" />
            <ui:attribute name="heightPeer" type="ui:integer" default="0" use="optional" />
            <ui:attribute name="checked" type="ui:boolean" use="optional" default="false" />
            <ui:attribute name="leftText" type="ui:boolean" use="optional" default="false" />
            <ui:attribute name="tabStop" type="ui:ID" use="optional" default="-1" />
            <ui:attribute name="oclass" type="ui:string" default="" use="optional" />
        </ui:complexType>
    </ui:element>
    <ui:element name="radiobutton">
        <ui:complexType>
            <ui:sequence>
            </ui:sequence>
            <ui:attribute name="stringid" type="ui:string" use="required" />
            <ui:attribute name="id" type="ui:ID" use="optional" default="-1" />
            <ui:attribute name="widthPeer" type="ui:integer" use="optional" default="0" />
            <ui:attribute name="heightPeer" type="ui:integer" default="0" use="optional" />
            <ui:attribute name="value" type="ui:integer" use="optional" default="0" />
            <ui:attribute name="leftText" type="ui:boolean" use="optional" default="false" />
            <ui:attribute name="tabStop" type="ui:ID" use="optional" default="-1" />
            <ui:attribute name="oclass" type="ui:string" default="" use="optional" />
        </ui:complexType>
    </ui:element>
</ui:schema>